| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Private Attributes | List of all members
Gaudi.Configuration.GaudiPersistency Class Reference
Inheritance diagram for Gaudi.Configuration.GaudiPersistency:
[legend]
Collaboration diagram for Gaudi.Configuration.GaudiPersistency:
[legend]

## Public Member Functions
def | __apply_configuration__ (self)
Public Member Functions inherited from GaudiKernel.Configurable.ConfigurableUser
def | __init__ (self, name=Configurable.DefaultName, _enabled=True, kwargs)
def | getGaudiType (self)
def | getDlls (self)
def | getHandle (self)
def | __detach_used__ (self)
def | propagateProperty
def | propagateProperties
def | __apply_configuration__ (self)
def | applyConf (self)
def | getUsedInstance (self, name)
def | isApplicable (self)
Public Member Functions inherited from GaudiKernel.Configurable.Configurable
def | __new__ (cls, args, kwargs)
def | __init__
def | __getstate__ (self)
def | __getnewargs__ (self)
def | __setstate__ (self, dict)
def | __len__ (self)
def | __iter__ (self)
def | __deepcopy__ (self, memo)
def | __iadd__
def | __getattr__ (self, attr)
def | __setattr__ (self, name, value)
def | __delattr__ (self, attr)
def | __nonzero__ (self)
def | remove (self, items)
def | removeAll (self)
def | copyChild (self, child)
def | setParent (self, parentName)
def | getParent (self)
def | hasParent (self, parent)
def | copyChildAndSetParent (self, cfg, parent)
def | getChildren (self)
def | getTools (self)
def | children (self)
def | getAllChildren (self)
def | getSequence (self)
def | setup (self)
def | getProperties (self)
def | getPropertiesWithDescription (self)
def | getValuedProperties (self)
def | properties (self)
def | getDefaultProperties (cls)
def | getDefaultProperty (cls, name)
def | getProp (self, name)
def | setProp (self, name, value)
def | isPropertySet (self, name)
def | getType (cls)
def | getName (self)
def | name (self)
def | getJobOptName (self)
def | isPublic (self)
def | jobOptName (self)
def | getFullName (self)
def | getFullJobOptName (self)
def | getPrintTitle (self)
def | getTitleName (self)
def | setDefaults (cls, handle)
def | clone (self, name=None, kwargs)
def | splitName (self)
def | addTool
def | __repr__ (self)
def | __str__

## Static Private Attributes
dictionary | __slots__ = {}

## Additional Inherited Members
Static Public Attributes inherited from GaudiKernel.Configurable.Configurable
string | indentUnit = '| '
int | printHeaderWidth = 100
int | printHeaderPre = 5
dictionary | allConfigurables = {}
dictionary | configurableServices = {}

## Detailed Description

    Configurable to enable ROOT-based persistency.

    Note: it requires Gaudi::RootCnvSvc (package RootCnv).

Definition at line 121 of file Configuration.py.

## Member Function Documentation

def Gaudi.Configuration.GaudiPersistency.__apply_configuration__ | ( |  | self | ) |

    Apply low-level configuration

Definition at line 127 of file Configuration.py.

127 def __apply_configuration__(self):
128 """Apply low-level configuration"""
129 from Configurables import (ApplicationMgr,
130 PersistencySvc,
131 FileRecordDataSvc,
132 EventPersistencySvc,
133 )
134 # aliased names
135 from Configurables import (RootCnvSvc,
136 RootEvtSelector,
137 IODataManager,
138 FileCatalog,
139 )
140 cnvSvcs = [ RootCnvSvc() ]
141 EventPersistencySvc().CnvServices += cnvSvcs
142 PersistencySvc("FileRecordPersistencySvc").CnvServices += cnvSvcs
143 app = ApplicationMgr()
144 app.SvcOptMapping += [ FileCatalog(), IODataManager(),
145 RootCnvSvc() ]
146 app.ExtSvc += [ FileRecordDataSvc() ]
147
Gaudi.Configuration.GaudiPersistency.__apply_configuration__
def __apply_configuration__(self)
Definition: Configuration.py:127
Gaudi::RootCnvSvc
Description:
Definition: RootCnvSvc.h:52
Gaudi::IODataManager
Definition: IODataManager.h:29
PersistencySvc
PersistencySvc class implementation definition.
Definition: PersistencySvc.h:50
FileRecordDataSvc
A FileRecordDataSvc is the base class for event services.
Definition: FileRecordDataSvc.cpp:38
ApplicationMgr
The Application Manager class.
Definition: ApplicationMgr.h:46

## Member Data Documentation

dictionary Gaudi.Configuration.GaudiPersistency.__slots__ = {}
| static private

Definition at line 126 of file Configuration.py.

The documentation for this class was generated from the following file:

- Gaudi/python/Gaudi/Configuration.py